﻿//
// Copyright (C) 2009 Chris Dziemborowicz
//
// This file is part of Orzeszek Ratings.
//
// Orzeszek Ratings is free software: you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// Orzeszek Ratings is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OrzeszekRatings
{
	public enum SyncDirection
	{
		None,
		FromWmp,
		ToWmp
	}

	public class SyncInfo
	{
		public SyncDirection Direction { get; set; }
		public bool SyncPlayCounts { get; set; }
		public bool SyncRatings { get; set; }
		public bool ForceRatingsUpdate { get; set; }
		public bool OnlySyncHighestPlayCount { get; set; }
		public bool AggregateMovePlayCount { get; set; }
	}

	public class SyncInfoEventArgs : EventArgs
	{
		public SyncInfo SyncInfo { get; set; }

		public SyncInfoEventArgs(SyncInfo syncInfo)
		{
			SyncInfo = syncInfo;
		}
	}

	public static class SyncUtility
	{
	}
}